%define module	Text-Brew
%define name	perl-%{module}
%define version 0.02
%define release 2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	An implementation of the Brew edit distance
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/K/KC/KCIVEY/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module implements the Brew edit distance that is very close to the dynamic
programming technique used for the Wagner-Fischer (and so for the Levenshtein)
edit distance. Please look at the module references below. For more information
about the Brew edit distance see:
http://ling.ohio-state.edu/~cbrew/795M/string-distance.html

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
make test

%clean 
rm -rf %{buildroot}



%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Text
%{_mandir}/*/*

%changelog
* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-2mdk 
- better url
- spec cleanup
- make test in %%check
- don't ship useless empty directories

* Mon Apr 25 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-1mdk 
- new release
- spec cleanup
- better url

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.01-2mdk
- fix buildrequires in a backward compatible way

* Thu Jun 24 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.01-1mdk 
- first mdk release
